Subject: RE: [PWE3] draft-ietf-pwe3-iana-allocation-12.txt LAST CALL

From: "Ash, Gerald R \(Jerry\), ALABS" <[email-masked]>
Date: Wed, 21 Sep 2005 06:52:54 -0500

Hi Luca,

> Jerry, let's finish the e-mail discussion anyway, then all 
> you have to do is mention the registry name from the pwe3
> IANA draft, and ask for allocation from IANA in your draft.

OK, sounds good. 

> Can you actually specify the length of this parameter?
> If you read the iana allocation draft carefully , you'll
> notice that "variable length" is not a choice. This is
> because of some concerns that this sub-tlv could be abused
> and cause LDP to store large amount of information.
> I will have a look at the RFC mentioned as well, but I
> would like to point out that the interface parameter
> Sub-TLV can only be sent once in the lifetime of the PW.
> (changing the value of it means tearing down the PW , and 
> starting over).

We'll specify a fixed length (TBD) for each of the two requested
Interface Parameters Sub-TLV code-points.   Here are some further
details and background on the request:

In Section 4.1 of
http://ietf.org/internet-drafts/draft-ietf-avt-hc-over-mpls-protocol-00.
txt we say
"The Interface Parameters Sub-TLV [IANA, PW-SIG], illustrated in Figure
4, is used to signal HC (header compression) session setup and HC
parameter negotiation, such as described for HC-over-PPP mechanisms
[RFC3241, RFC3544].  The principles and IPCP messages described in
[RFC3241, RFC3544] are reused to enable PW/MPLS HC session
configuration, as the PPP layer does for each of the HC mechanisms."

That is, we're using the Interface Parameters Sub-TLV to negotiate
header compression session setup and parameter negotiation.  We're
requesting 2 code-points: one for the network control protocol (NCP) for
IPv4, IPCP [RFC1332], and one for the IPv6 NCP, IPV6CP [RFC2472], as
follows:

      0x??        Length TBD       IPCP [RFC1332]
      0x??        Length TBD       IPV6CP [RFC2472]

Within the Interface Parameters Sub-TLV, we further encode each header
compression setup/parameter-negotiation TLV identified in RFC 3251 and
RFC 3544.  For example, in RFC 3544
http://www.ietf.org/rfc/rfc3544.txt?number=3544, we encode the RTP
sub-options (Section 2.2) and ECRTP sub-options (Section 2.3) within the
NCP format specified in Section 2.1:

       0                   1                   2                   3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |     Type      |    Length     |    IP-Compression-Protocol    |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |           TCP_SPACE           |         NON_TCP_SPACE         |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |         F_MAX_PERIOD          |          F_MAX_TIME           |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |           MAX_HEADER          |          suboptions...
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

We'll specify a fixed length (TBD) for each of the two interface
parameter types, as required, using the maximum length across all the
sub-options identified in RFC 3251 and RFC 3544, and then use blank
bytes in the encoding of each sub-option, as needed.

Please let us know of any further comments or suggestions on the
request.

Thanks,
Regards,
Jerry

> Ash, Gerald R (Jerry), ALABS wrote:
> 
> >Stewart,
> >Luca,
> >
> >We want to request 2 additional code points, as specified in the IANA
> >Section 7 of
>
>http://ietf.org/internet-drafts/draft-ietf-avt-hc-over-mpls-protocol-00
.txt.
> >
> >In particular, the following is requested:
> >
> >7. IANA Considerations
> >
> >   As discussed in Section 4.1, Pseudowire Interface Parameter
> >   Sub-TLV type values need to be specified by IANA for both the
> >   network control protocol for IPv4, IPCP [RFC1332] and the
> >   IPv6 NCP, IPV6CP [RFC2472], as follows:
> >
> >      0x??        Variable Length       IPCP [RFC1332]
> >      0x??        Variable Length       IPV6CP [RFC2472]
> >
> >Thanks,
> >Jerry
> >
> >-----Original Message-----
> >From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of
> >Stewart Bryant
> >Sent: Monday, September 19, 2005 9:46 AM
> >To: pwe3
> >Subject: [PWE3] draft-ietf-pwe3-iana-allocation-12.txt LAST CALL
> >
> >This is the start of a one week WG last call on
> >
>
>http://www.ietf.org/internet-drafts/draft-ietf-pwe3-iana-allocation-12.
txt
> >
> >Last call will end 0900 GMT on Tuesday 27th September 2005.
> >
> >- Stewart

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Hamid Ould-Brahim" <[email-masked]>
Date: Tue, 27 Sep 2005 14:31:16 -0400

The drafts indicates:

>   AII Type     Length    Description
>      0x014      A 32 bit unsigned number local identifier.

I think this should be :

      0x01         4      A 32 bit unsigned number local identifier.

Hamid.

> 
> 
> WG Last Call has ended, and the chairs have asked the ADs to 
> request IETF Last Call.
> 
> Stewart
> 
> Stewart Bryant wrote:
> 
> http://www.ietf.org/internet-drafts/draft->
ietf-pwe3-iana-allocation-12
> > .txt